close all
clear

% Change default axes fonts
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 14)

% Change default text fonts
set(0,'DefaultTextFontname', 'Times New Roman')
set(0,'DefaultTextFontSize', 14)

s.color = 'k';
set(groot, 'DefaultLineLinewidth', 3);
s.gpath = '../figures/';

%%
% Save plots?
save_plots = 1;
gpath = strcat(s.gpath, 'Log_VaryGh/');

parameters;

gvec=[.02,.0195,.018];

s.gh=gvec(1);
geteqm2(s);

s.gh=gvec(2);
s.color=[0 0.4470 0.7410];
geteqm2(s);


s.gh=gvec(3);
s.color=[0.8500 0.3250 0.0980];
geteqm2(s);

%%
% Save results!
if save_plots
    if ~isfolder(gpath)
        mkdir(gpath)
    end

   figure(10)
   ylabel('$V(\eta)-V(\bar{\eta})$','interpreter','latex')
   xlabel('$\eta$, bank equity wealth share')
   title('')  
    h=legend(strcat('$\underline{g} = $',num2str(gvec(1))),strcat('$\underline{g} = $',num2str(gvec(2))),strcat('$\underline{g} = $',num2str(gvec(3))),'location','best');
     set(h,'Interpreter', 'latex','FontSize',s.fontsize);
   saveas(figure(10), [gpath, 'welfare_decreasesR1.pdf']);
   
   figure(13)
   xlabel('$\eta$, bank equity wealth share')
   title('') 
    h=legend(strcat('$\underline{g} = $',num2str(gvec(1))),strcat('$\underline{g} = $',num2str(gvec(2))),strcat('$\underline{g} = $',num2str(gvec(3))),'location','best');
     set(h,'Interpreter', 'latex','FontSize',s.fontsize);
   saveas(figure(13), [gpath, 'figPsi0.pdf']);
   
   figure(3)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
    h=legend(strcat('$\underline{g} = $',num2str(gvec(1))),strcat('$\underline{g} = $',num2str(gvec(2))),strcat('$\underline{g} = $',num2str(gvec(3))),'location','best');
     set(h,'Interpreter', 'latex','FontSize',s.fontsize);
   saveas(figure(3), [gpath, 'figqR1.pdf']);
   
     figure(66)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
    h=legend(strcat('$\underline{g} = $',num2str(gvec(1))),strcat('$\underline{g} = $',num2str(gvec(2))),strcat('$\underline{g} = $',num2str(gvec(3))),'location','best');
     set(h,'Interpreter', 'latex','FontSize',s.fontsize);
   saveas(figure(66), [gpath, 'figMuEta1.pdf']);
end