function [Dyn, expert_premium, Sharpe]=display_resultsLinear(etaout,fout,s)

start=s.gstart;
color=strcat(s.line,s.color);

if sum(fout(:,4)<0)>0
N = find(fout(:,4)<0,1);%length(etaout);
else
    N=length(etaout);
end
s.N=N;
Dyn = zeros(N, 8);
fp=zeros(N,4);
Sharpe=zeros(N,1);
expert_premium=zeros(N,1);

% calculate the psi, as well as drifts and volatilities 
for n = 1:N
    [fp(n,:), Dyn(n,:),expert_premium(n,:),Sharpe(n,:)] = fnctLinear(etaout(n), fout(n,:), s);
end


%dyn = [psi, sigma_eta, sigma_q, mu_eta, mu_q, mu_theta,p2,lambda];
%dyn = [psi, sigma_eta_eta, sigma_q, mu_eta_eta, mu_q, mu_theta, Sharpe, risk_premium];

etastar=max(etaout);

% levmin=min(Dyn(10:N-1,1)./etaout(10:N-1));
% levmax=max(Dyn(1:N,1)./etaout(1:N));
Leverage=Dyn(1:N,1)./etaout(1:N)-1;
max_leverage=max(Leverage); lambdastar=Dyn(N-1,8); Levstar=Leverage(end);
dataset(max_leverage,etastar,lambdastar,Levstar)

disp('figure 1 Leverage')
%plot leverage
figure(1); hold on
    plot(etaout(1:N),Leverage,color,'linewidth',s.width);
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('Leverage','FontSize',s.fontsize,'FontWeight','b')
    title('Aggregate Bank Leverage','FontSize',s.fontsize)
    xlim([s.start 1.05*etastar])
% axis([start 1.05*etastar .9*levmin max(min(levmax*1.1,60),5*levmin)])

disp('figure 2 dQ dEta')
%plot drifts, vols
figure(2);
    subplot(2,2,1); hold on
    plot(etaout(1:N), Dyn(1:N, 4)./etaout(1:N), color,'linewidth',s.width); 
    xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
    ylabel('\mu_\eta  ','fontsize',14,'Rotation',90,'FontWeight','b');
    xlim([start 1.05*etastar])
    ylim([0 1.05*max(Dyn(1:N, 4)./etaout(1:N))]);
%     title('Drift of bank equity','FontSize',s.fontsize)

    subplot(2,2,2); hold on
    plot(etaout(1:N), Dyn(1:N, 2)./etaout(1:N), color,'linewidth',s.width);   
    ylabel('\sigma_\eta ','fontsize',14,'Rotation',90,'FontWeight','b');
    xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
    xlim([start 1.05*etastar]) 
    ylim([0 1.05*max(Dyn(1:N, 2)./etaout(1:N))]);
%     title('Volatility of bank equity','FontSize',s.fontsize)

    subplot(2,2,3); hold on
    plot(etaout(1:N), Dyn(1:N,5), color,'linewidth',s.width);   
    ylabel('\mu_q ','fontsize',14,'Rotation',90,'FontWeight','b');
    xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
    xlim([start 1.05*etastar])
%     title('Drift of Q','FontSize',s.fontsize)

    subplot(2,2,4); hold on
    plot(etaout(1:N), Dyn(1:N,3), color,'linewidth',s.width);   
    ylabel('\sigma_q ','fontsize',14,'Rotation',90,'FontWeight','b');
    xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
    xlim([s.start 1.05*etastar])
%     title('Volatility of land price','FontSize',s.fontsize)


disp('figure 3 Q')
%plot q, theta
figure(3); hold on
%     subplot(1,2,1); hold on
    plot(etaout(1:N), fout(1:N,3), color,'linewidth',s.width);
    title('Asset Price, q(\eta)','FontSize',s.fontsize)
    xlim([start 1.05*etastar])
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('q','FontSize',s.fontsize,'Rotation',0,'FontWeight','b')

%     subplot(1,2,2); hold on
%     plot(etaout(1:N), fout(1:N,1), color,'linewidth',s.width);
%     xlim([start 1.05*etastar])
%     ylim([.9 5])
%     title('\theta(\eta)','FontSize',s.fontsize)
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('\theta','FontSize',s.fontsize,'FontWeight','b','Rotation',0)

% figure(8); hold on
%     plot(etaout(1:N), Dyn(1:N,7), color,'linewidth',s.width);
%     p1=s.alpha*((1-Dyn(1:N,8))./Dyn(1:N,8)).^(1-s.alpha);
%     plot(etaout(1:N), p1, strcat('--',s.color(end)),'linewidth',s.width);
%     legend('p2','p1','location','best')
%     xlim([start 1.05*etastar])
%     title('Goods Prices','FontSize',s.fontsize)
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    
% %plot mu_eta, sigma_eta big plot
% figure(3)
%     subplot(2,2,1); hold on
%     plot(etaout(1:N), fout(1:N,3), color,'linewidth',s.width);
%     title('Price of Land, q','FontSize',s.fontsize)
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('q','fontsize',14,'Rotation',90,'FontWeight','b');
%     xlim([start 1.05*etastar])
% 
%     subplot(2,2,2); hold on
%     plot(etaout(1:N), Dyn(1:N,7), color,'linewidth',s.width);
%     p1=s.alpha*((1-Dyn(1:N,8))./Dyn(1:N,8)).^(1-s.alpha);
%     plot(etaout(1:N), p1, strcat('--',s.color(end)),'linewidth',s.width);
%     xlim([start 1.05*etastar])
%     legend('p2','p1','location','southeast')
%     title('Intermediate Goods Prices','FontSize',s.fontsize)
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
% 
%     subplot(2,2,3); hold on
%     plot(etaout(1:N), Dyn(1:N,8), color,'linewidth',s.width);
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('\lambda','fontsize',14,'Rotation',90,'FontWeight','b');
%     % legend('\lambda','\psi','location','best')
%     title('Tree Allocations','FontSize',s.fontsize)
%     xlim([start 1.05*etastar])
% 
%     subplot(2,2,4); hold on
%     plot(etaout(1:N), Dyn(1:N,1), color,'linewidth',s.width);
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('\psi','fontsize',14,'Rotation',90,'FontWeight','b');
%     % legend('\lambda','\psi','location','best')
%     title('Intermediary Holdings','FontSize',s.fontsize)
%     axis([start 1.05*etastar 0 1.1*s.lmax])

%plot productivity
productivity=1;%(((Dyn(1:N,1)+(Dyn(1:N,8)-Dyn(1:N,1)).*s.abar)).^s.alpha).*((1-Dyn(1:N,8)).^(1-s.alpha));
liq=((Dyn(1:N,1)-etaout(1:N))).*fout(1:N,3).*s.phiL;
% growth=s.g-s.m*(Dyn(1:N,8)-Dyn(1:N,1))-s.phiI*Dyn(1:N,1);
% gmin=.98*min(growth); gmax=max(1.01*max(growth),s.g+.0001);
pmax=1.01*(max(productivity)+max(liq)); pmin=.98*min(productivity);

disp('figure 4 Flow Utility')
figure(4); hold on
%     subplot(2,2,1); hold on  
%     plot(etaout(1:N), growth, color,'linewidth',s.width);
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('Growth Rate','FontSize',s.fontsize,'FontWeight','b')
%     title('Growth Rate','FontSize',s.fontsize)
%     xlim([start 1.05*etastar])
%     ylim([gmin gmax])

%     subplot(1,2,1); hold on
    plot(etaout(1:N), productivity+liq, color,'linewidth',s.width);
    xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
    ylabel('Flow Utility','FontSize',s.fontsize,'FontWeight','b')
    title('Output and Liquidity','FontSize',s.fontsize)
    xlim([start 1.05*etastar])
%     ylim([pmin pmax])
    
%     subplot(2,2,3); hold on
%     plot(etaout(1:N), Dyn(1:N,8), color,'linewidth',s.width); hold on
%     plot(etaout(1:N), Dyn(1:N, 1), strcat('--',s.color(end)),'linewidth',s.width); hold on
%     xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('\lambda, \psi','fontsize',14,'Rotation',90,'FontWeight','b');
%     legend('\lambda','\psi','location','southeast')
%     title('Allocations \lambda  and \psi','FontSize',s.fontsize)
%     axis([start 1.05*etastar 0 1.1*s.lmax])


disp('figure 5 Deposit SPREAD')
%plot deposit spread
figure(5); hold on
    plot(etaout(1:N), s.phiL, color,'linewidth',s.width); hold on
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('Deposit Spread','FontSize',s.fontsize,'FontWeight','b')
    title('Deposit Spread','FontSize',s.fontsize,'FontWeight','b')
    xlim([start 1.05*etastar])
   


welfare=(1+(fout(1:N,1)-1).*etaout(1:N)).*fout(1:N,3);
 
%Household Welfare
disp('figure 9 Welfare')
figure(9); hold on
    plot(etaout(1:N), welfare, color,'linewidth',s.width);
    title('Welfare','FontSize',s.fontsize)
    xlim([start 1.05*etastar])
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('V(\eta)','FontSize',s.fontsize,'FontWeight','b')

    disp('figure 10 Welfare Shift, V-V(end)') 
    figure(10); hold on
    plot(etaout(1:N), welfare-welfare(end), color,'linewidth',s.width);
    title('Normalized Welfare','FontSize',s.fontsize)
    xlim([start 1.05*etastar])
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('V-V(end)','FontSize',s.fontsize,'FontWeight','b')
    
%leverage and allocations
% figure(10)
%     subplot(1,2,1); hold on
%     plot(etaout(1:N),Leverage,color,'linewidth',s.width);
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('leverage','FontSize',s.fontsize,'FontWeight','b')
%     title('Intermediary Leverage','FontSize',s.fontsize)
%     xlim([s.start 1.05*etastar])
% 
%     subplot(1,2,2); hold on
%     plot(etaout(1:N), Dyn(1:N,8), color,'linewidth',s.width); hold on
%     plot(etaout(1:N), Dyn(1:N, 1), strcat('--',s.color(end)),'linewidth',s.width); hold on
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('\lambda, \psi','fontsize',14,'Rotation',90,'FontWeight','b');
%     legend('\lambda','\psi','location','southeast')
%     title('Allocations \lambda  and \psi','FontSize',s.fontsize)
%     axis([start 1.05*etastar 0 1.1*s.lmax])
    
%plot prices
% figure(11); hold on
%     subplot(1,2,1); hold on
%     plot(etaout(1:N), fout(1:N,3), color,'linewidth',s.width);
%     title('Price of Land, q','FontSize',s.fontsize)
%     xlim([start 1.05*etastar])
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('q','Rotation',0,'FontSize',s.fontsize,'FontWeight','b')
% 
%     subplot(1,2,2); hold on
%     plot(etaout(1:N), Dyn(1:N,7), color,'linewidth',s.width);
%     p1=s.alpha*((1-Dyn(1:N,8))./Dyn(1:N,8)).^(1-s.alpha);
%     plot(etaout(1:N), p1, strcat('--',s.color(end)),'linewidth',s.width);
%     legend('p2','p1','location','best')
%     xlim([start 1.05*etastar])
%     title('Goods Prices','FontSize',s.fontsize)
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')

disp('figure 12 dRf Risk-free RATE')
figure(12); hold on
    plot(etaout(1:N), s.r*ones(size(etaout)), color,'linewidth',s.width);
    title('Risk-Free Rate','FontSize',s.fontsize)
    xlim([start 1.05*etastar])
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('dr_f','FontSize',s.fontsize,'FontWeight','b')

    disp('figure 13 PSI Bank Holdings')
    figure(13); hold on
    plot(etaout(1:N), Dyn(1:N,1), color,'linewidth',s.width);
    title('Bank Holdings','FontSize',s.fontsize)
    xlim([start 1.05*etastar])
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('\psi','FontSize',s.fontsize,'FontWeight','b')
    
% figure(12); hold on
%     plot(etaout(1:N), fout(1:N,1).*etaout(1:N).*fout(1:N,3), color,'linewidth',s.width);
%     title('Expected Value of Bank Dividends','FontSize',s.fontsize)
%     xlim([start 1.05*etastar])
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('q\theta\eta','FontSize',s.fontsize,'FontWeight','b')
 
figure(32); hold on
    plot(etaout(1:N), welfare./(welfare(end)), color,'linewidth',s.width);
    title('Normalized Welfare','FontSize',s.fontsize)
    xlim([start 1.05*etastar])
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('J/J(end)','FontSize',s.fontsize,'FontWeight','b')


% figure(13); hold on
% %     subplot(1,2,1); hold on
% %     plot(etaout(1:N),Leverage,color,'linewidth',s.width);
% %     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
% %     ylabel('leverage','FontSize',s.fontsize,'FontWeight','b')
% %     title('Intermediary Leverage','FontSize',s.fontsize)
% %     xlim([start 1.05*etastar])
% % 
% %     subplot(1,2,2); hold on
%     plot(etaout(1:N), Dyn(1:N,8), color,'linewidth',s.width); hold on
%     plot(etaout(1:N), Dyn(1:N, 1), strcat('--',s.color(end)),'linewidth',s.width); hold on
%     xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
%     ylabel('\lambda, \psi','fontsize',14,'Rotation',90,'FontWeight','b');
%     legend('\lambda','\psi','location','southeast')
%     title('Allocations \lambda and \psi','FontSize',s.fontsize)
%     axis([start 1.05*etastar 0 1.1*s.lmax])
disp('figure 15 THETA')
figure(15)
    plot(etaout(1:N),fout(1:N,1),color,'linewidth',s.width); hold on
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('\theta','FontSize',s.fontsize,'FontWeight','b','Rotation',0)
    title('\theta(\eta)')
    xlim([start 1.05*etastar])
    ylim([.9 5])
 
    disp('figure 25 SHARPE RATIO')
figure(25)
    plot(etaout(1:N),Sharpe(1:N,1),color,'linewidth',s.width); hold on
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('Sharpe','FontSize',s.fontsize,'FontWeight','b','Rotation',0)
    title('Sharpe Ratio')
    xlim([start 1.05*etastar])
%     ylim([.9 5])

 disp('figure 33 Risk PREMIUM')
figure(33)
    plot(etaout(1:N),expert_premium(1:N,1),color,'linewidth',s.width); hold on
%      plot(etaout(1:N),s.phiL*ones(N,1),':k','linewidth',s.width); hold on
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    ylabel('Premium','FontSize',s.fontsize,'FontWeight','b')
    title('Expert Premium')
    xlim([start 1.05*etastar])

