function ergocalcLinear(etaout,fout,Dyn,Sharpe,color,s)
N = length(etaout);

odefun = @(eta,f) ergofnct(eta,f,etaout,Dyn(:,4),Dyn(:,2),s);
options = odeset('events','evntergo','NonNegative',1);
%[e1, f1]=ode45(odefun,[etaout(1) etaout(N-1)],.1);%,options);
[e1, f1]=ode45(odefun,flipud(etaout(1:N-1)),100,options);

e1=e1((f1<inf));
f1=f1((f1<inf));
d1=f1./(interp1(etaout,Dyn(:,2),e1,s.interp).^2);

e1=e1((d1<inf));
d1=d1((d1<inf));

int=abs(d1(2:end)'*(e1(2:end)-e1(1:end-1)));

d=d1(2:end)./int;

% lambda=interp1(etaout,Dyn(:,8),e1,s.interp);
psi=interp1(etaout,Dyn(:,1),e1,s.interp);
% productivity=((psi+(lambda-psi).*s.abar).^s.alpha).*((1-lambda).^(1-s.alpha));
q=interp1(etaout,fout(:,3),e1);

b=(psi-e1).*q;

prod=1;%(lambda.^s.alpha).*((1-lambda).^(1-s.alpha));

flow=prod+b*s.phiL;

disp('figure 20 flow utility Frequency')
figure(20)
plot(flow,d1./int,strcat(s.line,color),'linewidth',s.width); hold on
xlabel('Flow Utility','FontSize',s.fontsize,'FontWeight','b')
ylabel('Frequency','FontSize',s.fontsize,'FontWeight','b')
title('Frequency of Aggregate Outcomes','FontSize',s.fontsize,'FontWeight','b')
ylim([0 120])

% growth=s.g-(lambda-psi)*s.m-psi*s.phiI;



etastar=max(etaout);

% figure(4)
%     subplot(1,2,2); hold on
%     plot(e1(2:end),d,strcat(s.line,color),'linewidth',s.width); hold on
%     xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
%     xlim([s.gstart 1.05*etastar])
%     ylabel('f(\eta)','fontsize',14,'Rotation',0,'FontWeight','b');
%     title('Stationary Density of Bank Equity Levels','FontSize',s.fontsize)
%     ylim([0 1.05*d(1)])

% figure(6)
%     subplot(1,2,2); hold on
%     plot(e1(2:end),d,strcat(s.line,color),'linewidth',s.width); hold on
%     xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
%     xlim([s.gstart 1.05*etastar])
%     ylabel('f(\eta)','fontsize',14,'Rotation',90,'FontWeight','b');
%     title('Stationary Density','FontSize',s.fontsize)
%     ylim([0 1.05*d(1)])

%get CDF
N=length(e1)-1;
ee=flip(e1);
dd=flip(d);

diff=ee(2:end)-ee(1:end-1);

TT=tril(ones(length(diff)));
CDF=TT*(dd.*diff);

disp('figure 7 PDF')
% Leverage=Dyn(1:N-1,1)./etaout(1:N-1)-1;
figure(7)
%     subplot(1,2,2); hold on
    plot(e1(2:end),d,strcat(s.line,color),'linewidth',s.width); hold on
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    xlim([s.gstart 1.05*etastar])
    ylabel('f(\eta)','fontsize',14,'Rotation',0,'FontWeight','b');
    title('Stationary Density of Bank Equity Levels','FontSize',s.fontsize)
    ylim([0 1.05*d(1)])
 
    disp('figure 19 CDF')   
   figure(19)
    plot(ee(2:end),CDF,'color',color,'linestyle',s.line,'linewidth',s.width); hold on
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    xlim([s.gstart 1.05*etastar])
    ylabel('F(\eta)','fontsize',14,'Rotation',0,'FontWeight','b');
    title('Cumulative Density','FontSize',s.fontsize)
    ylim([0 1])
    
    disp('figure 27 PDF eta/eta*')
    figure(27)
%     subplot(1,2,2); hold on
e11=e1(2:end)/etaout(end);
    plot(e11,d,strcat(s.line,color),'linewidth',s.width); hold on
    xlabel('\eta/\eta^*','FontSize',s.fontsize,'FontWeight','b')
    xlim([s.gstart 1])
    ylabel('f(\eta)','fontsize',14,'Rotation',0,'FontWeight','b');
    title('Stationary Density of Bank Equity Levels','FontSize',s.fontsize)
    ylim([0 120])
  
    disp('figure 28 PDF')
        figure(28)
%     subplot(1,2,2); hold on
    plot(e1(2:end),d,strcat(s.line,color),'linewidth',s.width); hold on
    xlabel('\eta, level of bank equity','FontSize',s.fontsize,'FontWeight','b')
    xlim([s.gstart 1.05*etastar])
    ylabel('f(\eta)','fontsize',14,'Rotation',0,'FontWeight','b');
    title('Stationary Density of Bank Equity Levels','FontSize',s.fontsize)
    ylim([0 1.05*d(1)])
    
% SR2=interp1(etaout,Sharpe,e1);
% expert_premium=s.expert_premium;
% EP2=interp1(etaout,expert_premium,e1);
% 
% prod_bar=-(productivity(1:end-1).*d)'*(e1(2:end)-e1(1:end-1));
% g_bar=-(growth(1:end-1).*d)'*(e1(2:end)-e1(1:end-1));
% SRavg=-(SR2(1:end-1).*d)'*(e1(2:end)-e1(1:end-1));
% EPavg=-(EP2(1:end-1).*d)'*(e1(2:end)-e1(1:end-1));
% dataset(prod_bar,g_bar,SRavg,EPavg)


%     subplot(1,2,1); hold on
%     plot(etaout(1:N-1),Leverage,strcat(s.line,color),'linewidth',s.width);
%     xlabel('\eta')
%     ylabel('leverage')
%     title('Intermediary Leverage')
%     xlim([s.start 1.05*etastar])
