function [value,isterminal,direction] = evntfcn2(eta, F,s) 
% [value,isterminal,direction] = evntfcn(eta, F) returns three
% variables used by ode45 to determine when to terminate integration
%

val1=F(4); %smooth pasting for Q
val2=F(2)*eta+s.thetastar-1; % smooth pasting for thetap at upper boundary
val3=F(1)-s.thetastar; %optimal issuance at upper boundary

value = [val1 val2 val3];  % difference between qmax and q, 
                                    % first derivative of theta, first derivative of q
isterminal = [1 1 1 ];   % terminate computation in all three cases
direction = [0 0 0 ];    % event occurs whether we get there from above or below 