function [value,isterminal,direction] = evntfcn2(eta, F,s) 
% [value,isterminal,direction] = evntfcn(eta, F) returns three
% variables used by ode45 to determine when to terminate integration
%

theta=F(1);
thetap=F(2);

%smooth pasting, theta derivative
val2=thetap*eta+s.thetastar-1;

%optimal payout, theta value
val1=theta-s.thetastar;

value = [val1 val2];  % , 
                                    % first derivative of theta, first derivative of q
isterminal = [1 1  ];   % terminate computation in all three cases
direction = [0 0  ];    % event occurs whether we get there from above or below 