close all
clear

% Change default axes fonts
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 14)

% Change default text fonts
set(0,'DefaultTextFontname', 'Times New Roman')
set(0,'DefaultTextFontSize', 14)

%% Graphics
s.color = 'k';
set(groot, 'DefaultLineLinewidth', 3);
s.gpath = '../figures/';

%%
% Save plots?
save_plots = 1;

% Initialize parameters
parameters;
gpath = strcat(s.gpath, 'LiqAdj/');

s.beta_3=0;

b1=.006/s.r;
s.beta_1=b1;

s.color=[0 0.4470 0.7410];
geteqm2(s);

b2=.005/s.r;
s.beta_1=b2;
s.color='k';
geteqm2(s)

b3=.004/s.r;
s.beta_1=b3;
s.color=[0.8500 0.3250 0.0980];
geteqm2(s);

b4=.003/s.r;
s.beta_1=b4;
s.color=[0.9290 0.6940 0.1250];
geteqm2(s);


%%
% Save results!
if save_plots
    if ~isfolder(gpath)
        mkdir(gpath)
    end
    
    figure(10)
    ylabel('$V(\eta)-V(\bar{\eta})$','interpreter','latex')
    xlabel('$\eta$, bank equity wealth share')
    title('')  
    h=legend(strcat('\beta_1=',num2str(b1)),strcat('\beta_1=',num2str(b2)),strcat('\beta_1=',num2str(b3)),strcat('\beta_1=',num2str(b4)),'location','best');
    set(h,'FontSize',s.fontsize);
    saveas(figure(10), [gpath, 'figNoLiqAdjWelfareLinear.pdf']);

    figure(6)
    xlabel('$\eta$, bank equity wealth share')
    title('')  
    h=legend(strcat('\beta_1=',num2str(b1)),strcat('\beta_1=',num2str(b2)),strcat('\beta_1=',num2str(b3)),strcat('\beta_1=',num2str(b4)),'location','southwest');
    set(h,'FontSize',s.fontsize);
    saveas(figure(6), [gpath, 'figNoLiqAdjDepoLinear.pdf']);
end

%%
close all
parameters

s.liqAdj=1;
s.cutoff_eta=.06;
s.mAdj=.25;

s.beta_3=0;

b1=.006/s.r;
s.beta_1=b1;

s.color=[0 0.4470 0.7410];
geteqm2(s);

b2=.005/s.r;
s.beta_1=b2;
s.color='k';
geteqm2(s);

b3=.004/s.r;
s.beta_1=b3;
s.color=[0.8500 0.3250 0.0980];
geteqm2(s);

b4=.003/s.r;
s.beta_1=b4;
s.color=[0.9290 0.6940 0.1250];
geteqm2(s);


%%
% Save results!
if save_plots
   if ~isfolder(gpath)
       mkdir(gpath)
   end
   
   figure(10)
    ylabel('$V(\eta)-V(\bar{\eta})$','interpreter','latex')
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend(strcat('\beta_1=',num2str(b1)),strcat('\beta_1=',num2str(b2)),strcat('\beta_1=',num2str(b3)),strcat('\beta_1=',num2str(b4)),'location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(10), [gpath, 'figLiqAdjWelfareLinear.pdf']);
   
   figure(6)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend(strcat('\beta_1=',num2str(b1)),strcat('\beta_1=',num2str(b2)),strcat('\beta_1=',num2str(b3)),strcat('\beta_1=',num2str(b4)),'location','southwest');
    set(h,'FontSize',s.fontsize);
   saveas(figure(6), [gpath, 'figLiqAdjDepoLinear.pdf']);
end

%% Now do with a more aggressive adjustment
close all
parameters

 s.liqAdj=1;
  s.cutoff_eta=.1;
 s.mAdj=.5;

 s.beta_3=0;

b1=.006/s.r;
s.beta_1=b1;

s.color=[0 0.4470 0.7410];
geteqm2(s);

b2=.005/s.r;
s.beta_1=b2;
s.color='k';
geteqm2(s);

b3=.004/s.r;
s.beta_1=b3;
s.color=[0.8500 0.3250 0.0980];
geteqm2(s);

b4=.003/s.r;
s.beta_1=b4;
s.color=[0.9290 0.6940 0.1250];
geteqm2(s);


%%
% Save results!
if save_plots
   if ~isfolder(gpath)
       mkdir(gpath)
   end
   
   figure(10)
    ylabel('$V(\eta)-V(\bar{\eta})$','interpreter','latex')
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend(strcat('\beta_1=',num2str(b1)),strcat('\beta_1=',num2str(b2)),strcat('\beta_1=',num2str(b3)),strcat('\beta_1=',num2str(b4)),'location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(10), [gpath, 'figLiqAdjWelfareLinear2.pdf']);
   
   figure(6)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend(strcat('\beta_1=',num2str(b1)),strcat('\beta_1=',num2str(b2)),strcat('\beta_1=',num2str(b3)),strcat('\beta_1=',num2str(b4)),'location','southwest');
    set(h,'FontSize',s.fontsize);
   saveas(figure(6), [gpath, 'figLiqAdjDepoLinear2.pdf']);
end