%first do baseline model
close all
clear

% Change default axes fonts
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 14)

% Change default text fonts
set(0,'DefaultTextFontname', 'Times New Roman')
set(0,'DefaultTextFontSize', 14)

%% Graphics
s.color = 'k';
set(groot, 'DefaultLineLinewidth', 3);
s.gpath = '../figures/';

%%
% Save plots?
save_plots = 1;

% Initialize parameters
parameters;

gpath = strcat(s.gpath, 'baseline/');

% Solve model, with and without fire sales
geteqm(s);

%%
% Save results!
if save_plots
   if ~isfolder(gpath)
       mkdir(gpath)
   end

   figure(10)
   ylabel('$V(\eta)-V(\bar{\eta})$','interpreter','latex')
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('No Fire Sales','Fire Sales','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(10), [gpath, 'welfare_decreasesR1.pdf']);
   
   figure(13)
   xlabel('$\eta$, bank equity wealth share')
   title('') 
   saveas(figure(13), [gpath, 'figPsi0.pdf']);
   
   figure(3)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('No Fire Sales','Fire Sales','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(3), [gpath, 'figqR1.pdf']);
   
   figure(2)
   title('')  
   subplot(2,2,2);
   h=legend('No Fire Sales','Fire Sales','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(2), [gpath, 'figdEtadQ.pdf']);
   
   figure(5)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('No Fire Sales','Fire Sales','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(5), [gpath, 'figDepSpreadR1.pdf']);
   
    figure(4)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('No Fire Sales','Fire Sales','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(4), [gpath, 'flow_utility_decreasesR1.pdf']);
   
   figure(28)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('No Fire Sales','Fire Sales','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(28), [gpath, 'stationary_densityR1.pdf']);
end