clc; close all; clear;
addpath LinearPsi1

% Change default axes fonts
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 14)

% Change default text fonts
set(0,'DefaultTextFontname', 'Times New Roman')
set(0,'DefaultTextFontSize', 14)

%% Graphics
s.color = 'k';
set(groot, 'DefaultLineLinewidth', 3);
s.gpath = '../figures/';

% Save plots?
save_plots = 1;

% Initialize parameters
parameters;
gpath = strcat(s.gpath, 'CompareModels/');

%%
[fout, etaout, Dyn, risk_premium, Sharpe,ERP,DS_avg] = geteqm2(s);

s.phiL=.005;
s.r=.04;

GetEqmLinear('r',s);

parameters;

s.beta_1=DS_avg/s.r;
s.beta_3=0;

s.color='b';

geteqm2(s);

%%
% Save results!
if save_plots
    if ~isfolder(gpath)
        mkdir(gpath)
    end
   figure(10)
   ylabel('$V(\eta)-V(\bar{\eta})$','interpreter','latex')
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('Baseline: Log-Log','Linear-Linear','Log-Linear','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(10), [gpath, 'figWelfareNCompare.pdf']);
   
   figure(13)
   xlabel('$\eta$, bank equity wealth share')
   title('') 
   h=legend('Baseline: Log-Log','Linear-Linear','Log-Linear','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(13), [gpath, 'figPsiCompare.pdf']);
   
   
   
   figure(33)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('Baseline: Log-Log','Linear-Linear','Log-Linear','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(33), [gpath, 'figRPCompare.pdf']);
   
    figure(2)
   title('')  
   h=legend('Baseline: Log-Log','Linear-Linear','Log-Linear','location','best');
    set(h,'FontSize',12);
   saveas(figure(2), [gpath, 'figVolsCompare.pdf']);
   
   figure(28)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('Baseline: Log-Log','Linear-Linear','Log-Linear','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(28), [gpath, 'figStatDistCompare.pdf']);
end

% legend('Baseline: log-log','linear-linear','log-linear')