close all
clear all

% Change default axes fonts
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 14)

% Change default text fonts
set(0,'DefaultTextFontname', 'Times New Roman')
set(0,'DefaultTextFontSize', 14)

%% Graphics
s.color = 'k';
set(groot, 'DefaultLineLinewidth', 3);
s.gpath = '../figures/';

%%
% Save plots?
save_plots = 1;

% Initialize parameters
parameters;
gpath = strcat(s.gpath, 'Log_divsub/');

s.thetastar=1.2;
s.color='r';
geteqm2(s);

s.thetastar=1.1;
s.color='b';
geteqm2(s);

s.thetastar=1.0;
s.color='k';
geteqm2(s);



%%
% Save results!
if save_plots
   if ~isfolder(gpath)
       mkdir(gpath)
   end

   figure(9)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('$\theta(\bar{\eta})=1.2$','$\theta(\bar{\eta})=1.1$','$\theta(\bar{\eta})=1.0$', ...
       'location','best');
    set(h,'FontSize',s.fontsize);
    set(h,'interpreter','latex');
   saveas(figure(9), [gpath, 'divsubwelfareR1.pdf']);
   
   figure(13)
   xlabel('$\eta$, bank equity wealth share')
   title('') 
      h=legend('$\theta(\bar{\eta})=1.2$','$\theta(\bar{\eta})=1.1$','$\theta(\bar{\eta})=1.0$', ...
          'location','best');
    set(h,'FontSize',s.fontsize);
    set(h,'interpreter','latex');
   saveas(figure(13), [gpath, 'divsubpsiR1.pdf']);
   
   figure(3)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('$\theta(\bar{\eta})=1.2$','$\theta(\bar{\eta})=1.1$','$\theta(\bar{\eta})=1.0$','location','best');
    set(h,'FontSize',s.fontsize);
    set(h,'interpreter','latex');
   saveas(figure(3), [gpath, 'divsubqR1.pdf']);
   
   figure(68)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('$\theta(\bar{\eta})=1.2$','$\theta(\bar{\eta})=1.1$','$\theta(\bar{\eta})=1.0$', ...
       'location','best');
    set(h,'FontSize',s.fontsize);
    set(h,'interpreter','latex');
    ylim([0 15e-3])
   saveas(figure(68), [gpath, 'divsubsigmaqR1.pdf']);
end