close all
clear

% Change default axes fonts
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 14)

% Change default text fonts
set(0,'DefaultTextFontname', 'Times New Roman')
set(0,'DefaultTextFontSize', 14)

%% Graphics
s.color = 'k';
set(groot, 'DefaultLineLinewidth', 3);
s.gpath = '../figures/';

%% dividend subsidies, log depo utility, 3% DS
% Save plots?
save_plots = 1;

% Initialize parameters
parameters;
gpath = strcat(s.gpath, 'Log_divsub/');

s.beta_2=1;
s.liqAdj=1;
s.cutoff_eta=.06;
s.mAdj=.25;
 
b2=.3;
s.beta_1=b2/100/s.r*(1-.18+1);

s.thetastar=1.2;
s.color='r';
geteqm2(s);

s.thetastar=1.1;
s.color='b';
geteqm2(s);

s.thetastar=1.0;
s.color='k';
geteqm2(s);


%%
% Save results!
if save_plots
    if ~isfolder(gpath)
        mkdir(gpath)
    end

    figure(9)
    xlabel('$\eta$, bank equity wealth share')
    title('')  
    h=legend('$\theta(\bar{\eta})=1.2$','$\theta(\bar{\eta})=1.1$','$\theta(\bar{\eta})=1.0$','location','best');
    set(h,'FontSize',s.fontsize);
    set(h,'interpreter','latex');
    saveas(figure(9), [gpath, 'figLiqAdjDivSubWelfare.pdf']);
end


%% dividend subsidies, log depo utility, 5% DS
% Save plots?
close all

% Initialize parameters
parameters;
gpath = strcat(s.gpath, 'Log_divsub/');

s.beta_2=1;
s.liqAdj=1;
s.cutoff_eta=.06;
s.mAdj=.25;
 
b2=.5;
s.beta_1=b2/100/s.r*(1-.18+1);

s.thetastar=1.2;
s.color='r';
geteqm2(s);

s.thetastar=1.1;
s.color='b';
geteqm2(s);

s.thetastar=1.0;
s.color='k';
geteqm2(s);


%%
% Save results!
if save_plots
   figure(9)
%     ylabel('$V(\eta)-V(\bar{\eta})$','interpreter','latex')
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('$\theta(\bar{\eta})=1.2$','$\theta(\bar{\eta})=1.1$','$\theta(\bar{\eta})=1.0$','location','best');
    set(h,'FontSize',s.fontsize);
    set(h,'interpreter','latex');
   saveas(figure(9), [gpath, 'figLiqAdjDivSubWelfare2.pdf']);
   
   
end

%% dividend subsidies, log depo utility, 3% DS aggressive liqadj
% Save plots?
close all

% Initialize parameters
parameters;
gpath = strcat(s.gpath, 'Log_divsub/');

s.beta_2=1;
s.liqAdj=1;
s.cutoff_eta=.1;
s.mAdj=.5;
 
b2=.3;
s.beta_1=b2/100/s.r*(1-.18+1);

s.thetastar=1.2;
s.color='r';
geteqm2(s);

s.thetastar=1.1;
s.color='b';
geteqm2(s);

s.thetastar=1.0;
s.color='k';
geteqm2(s);


%%
% Save results!
if save_plots
   figure(9)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('$\theta(\bar{\eta})=1.2$','$\theta(\bar{\eta})=1.1$','$\theta(\bar{\eta})=1.0$','location','best');
    set(h,'FontSize',s.fontsize);
    set(h,'interpreter','latex');
   saveas(figure(9), [gpath, 'figLiqAdjDivSubWelfareAgg.pdf']);
   
   
end


%% dividend subsidies, log depo utility, 5% DS aggressive liqadj
% Save plots?
close all

% Initialize parameters
parameters;
gpath = strcat(s.gpath, 'Log_divsub/');

s.beta_2=1;
s.liqAdj=1;
s.cutoff_eta=.1;
s.mAdj=.5;
 
b2=.5;
s.beta_1=b2/100/s.r*(1-.18+1);

s.thetastar=1.2;
s.color='r';
geteqm2(s);

s.thetastar=1.1;
s.color='b';
geteqm2(s);

s.thetastar=1.0;
s.color='k';
geteqm2(s);


%%
% Save results!
if save_plots
   figure(9)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('$\theta(\bar{\eta})=1.2$','$\theta(\bar{\eta})=1.1$','$\theta(\bar{\eta})=1.0$','location','best');
    set(h,'FontSize',s.fontsize);
    set(h,'interpreter','latex');
   saveas(figure(9), [gpath, 'figLiqAdjDivSubWelfareAgg2.pdf']);
   
   
end