close all
clear

% Change default axes fonts
set(0,'DefaultAxesFontName', 'Times New Roman')
set(0,'DefaultAxesFontSize', 14)

% Change default text fonts
set(0,'DefaultTextFontname', 'Times New Roman')
set(0,'DefaultTextFontSize', 14)

%% Graphics
s.color = 'k';
set(groot, 'DefaultLineLinewidth', 3);
s.gpath = '../figures/';

%%
% Save plots?
save_plots = 1;

% Initialize parameters
parameters;
gpath = strcat(s.gpath, 'VaryGamma/');

s.issuance=2;
s.color=[0 0.4470 0.7410];
geteqm2(s);

s.issuance=3;
s.color='k';
geteqm2(s);

s.issuance=4;
s.color=[0.8500 0.3250 0.0980];
geteqm2(s);

s.issuance=6;
s.color=[0.9290 0.6940 0.1250];
geteqm2(s);

%%
% Save results!
if save_plots
   if ~isfolder(gpath)
       mkdir(gpath)
   end

   figure(9)
   xlabel('$\eta$, bank equity wealth share')
   title('')  
   h=legend('$\gamma=1$','$\gamma=2$ (baseline)','$\gamma=3$','$\gamma=5$','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(9), [gpath, 'figVaryGammaWelfare.pdf']);
   
   figure(13)
   xlabel('$\eta$, bank equity wealth share')
   title('') 
   h=legend('$\gamma=1$','$\gamma=2$ (baseline)','$\gamma=3$','$\gamma=5$','location','best');
    set(h,'FontSize',s.fontsize);
   saveas(figure(13), [gpath, 'figVaryGammaPsi.pdf']);

end