parameters

Lgrid=linspace(5,25,60);

Jgrid=Lgrid;

for n=1:length(Lgrid)
    Jgrid(n)=GetMaxJ(s,Lgrid(n));
end


set(0,'defaulttextinterpreter','latex')

plot(Lgrid,smooth(Jgrid),'-k','linewidth',2)
xlabel('Leverage Constraint')
ylabel('Welfare at $\eta^*$')

[~,ind]=max(Jgrid);
Lgrid(ind)

%%
tic
parameters
N=10;
maxJ=zeros(N,3);
max_leverage=zeros(N,1);
Levstar=zeros(N,1);

[maxJ(1,1), max_leverage(1), Levstar(1)]=GetMaxJ(s,0);

l1=12;
l2=8.4;

frac1=(l1-Levstar(1))/(max_leverage(1)-Levstar(1));
frac2=(l2-Levstar(1))/(max_leverage(1)-Levstar(1));

[maxJ(1,2)]=GetMaxJ(s,l1);
[maxJ(1,3)]=GetMaxJ(s,l2);

L1=zeros(N,1);
L2=L1;
L1(1)=l1;
L2(1)=l2;


for n=2:N
    if n==2
        s.sigma=.01;
    end
    if n==3
        s.sigma=.03;
    end
    if n==4
       s.sigma=.04;
    end
    if n==5
        s.sigma=.02; s.alpha=.4;
    end
    if n==6
        s.alpha=.3;
    end
    if n==7
        s.alpha=.5; s.phiL=.015; s.phiI=.015;
    end
    if n==8
        s.phiL=.025; s.phiI=.025;
    end
    if n==9
        s.phiL=.02; s.phiI=.02; s.m=.005;
    end
    if n==10
        s.m=.015;
    end

%     if n==12
%         s.phiL=.01; s.sigma=.02;
%     end
[maxJ(n,1), max_leverage(n), Levstar(n)]=GetMaxJ(s,0);
L1(n)=Levstar(n)+frac1*(max_leverage(n)-Levstar(n));
L2(n)=Levstar(n)+frac2*(max_leverage(n)-Levstar(n));

maxJ(n,2)=GetMaxJ(s,L1(n));
maxJ(n,3)=GetMaxJ(s,L2(n));
end
maxJ

Wgains=zeros(N,2);
Wgains(:,1)=100*(maxJ(:,2)./maxJ(:,1)-1);
Wgains(:,2)=100*(maxJ(:,3)./maxJ(:,1)-1);
Wgains

fprintf('simul & Jmax & Lmax & L* & Wgains1 & Wgains2 \\\\ \n')

for n=1:N
    fprintf('%2.0f & %8.2f & %8.2f & %8.2f & %8.2f  & %8.2f  \\\\ \n', n, maxJ(n,1), max_leverage(n), Levstar(n), Wgains(n,1), Wgains(n,2))
end
toc
