function out=depo_spread(psi,eta,theta,s)


if isfield(s,'constant_deposit')
    if s.constant_deposit
        %keep a constant deposit spread, sized to the vector of inputs
        out=s.phiL*ones(size(theta));
    elseif s.deposit_eta
        %deposit spread is a function of eta, scaled from baseline eta*
        out=s.phiL.*(2/3+eta/(3*.16));
    elseif s.deposit_theta
        %deposit spread is a function of theta
        out=s.phiL./(1+((theta-1).^2)./5);
    elseif s.deposit_lvg
        %deposit spread is a function of lvg, scaled from baseline lvg*
        lvg=(psi-eta)./(eta);
        out=s.phiL./(1+((lvg-6).^.5)./15);
    end
else
    out=s.phiL*ones(size(theta));
end
end