function [d, e, CDF] = ergocalc_no_plots(etaout, Dyn, s)
N = length(etaout);

% Get pdf
odefun   = @(eta,f) ergofnct(eta, f, etaout, Dyn(:,4), Dyn(:,2), s);
options  = odeset('events','evntergo','NonNegative',1);
[e1, f1] = ode45(odefun, flipud(etaout(1:N-1)), 100, options);

e1 = e1((f1 < inf));
f1 = f1((f1 < inf));
d1 = f1 ./ (interp1(etaout, Dyn(:,2), e1, s.interp).^2);

e1 = e1((d1 < inf));
d1 = d1((d1 < inf));

int = abs(d1(2:end)' * (e1(2:end) - e1(1:end-1)));

d = d1(2:end) ./ int;
e = e1(2:end);
e = flipud(e);
d = flipud(d);

% get CDF
ee = flip(e1);
dd = flip(d);
diff = ee(2:end) - ee(1:end-1);

TT = tril(ones(length(diff)));
CDF = TT*(dd.*diff);

end