function ergocalc_plain(color,s)

odefun = @(eta,f) ergofnct_plain(eta,f,s);
options = odeset('events','evntergo','NonNegative',1);
%[e1, f1]=ode45(odefun,[etaout(1) etaout(N-1)],.1);%,options);
[e1, f1]=ode45(odefun,[1e-5 .03],100,options);

e1=e1((f1<inf));
f1=f1((f1<inf));
if s.levtype==1
psi=min(ones(size(e1)),40*e1);
else
    psi=ones(size(e1));
end
d1=f1./((psi-e1)*s.sigma).^2;

e1=e1((d1<inf));
d1=d1((d1<inf));

int=abs(d1(2:end)'*(e1(2:end)-e1(1:end-1)));

d=d1(2:end)./int;

figure(s.fig)
plot(e1(2:end),d,strcat(s.line,color),'linewidth',s.width); hold on
xlabel('\eta','FontSize',s.fontsize)
ylabel('f(\eta)','fontsize',14,'Rotation',0,'FontWeight','b');
title('Stationary Density','FontSize',s.fontsize)
ylim([0 220])
