function [fp dyn ] = plannerfnct(eta, f, s)
% [fp dyn] = fnct(eta, f, s)
% takes scalar eta, a 4x1 vector f = [theta, theta', q, q'], and parameters
% r, rho, a, sigma, g, delta_, and computes fp, the derivative of f with
% respect to eta, as well as dyn = [psi, sigma_eta*eta, sigma_q, mu_eta*eta, mu_q]
%
%
% written by Greg Phelan

%calculate investment rates and growth rate
[~, g_q]=investment(f(3),s);

    
tol=1e-10; %this is used for computational purposes very very near zero.


% %calculate leverage bound
% if ~isnumeric(s.K)
%     K=(1+eta*f(4)/f(3))/(s.sigma+eta*f(4)/f(3));
% %     if eta>.025
% %         K=min(K,20);
% %     end
%     bound=K*eta*(s.L);
% else
%     if s.K==0
%         bound=1;
%     else
%         bound=s.K*eta;
%     end
% end

%find Jpp
op1=optimset('display','off');
Jpp=fzero(@planneralloc,-1e10,op1,f,eta,s);

%find psi and lambda 
[~, x]=planneralloc(Jpp,f,eta,s);

            psi=x(1);
            lambda=x(2);
        
dataset(eta,psi,lambda,psi/eta)

p1=s.alpha*((1-lambda)/lambda)^(1-s.alpha);
p2=(1-s.alpha)*(lambda/(1-lambda))^s.alpha;


    % VOLATILITY COMPUTATION 
    amplification = 1 - f(4)/f(3)*(psi - eta);      
    sigma_eta = s.sigma*(psi - eta)/amplification;             
    sigma_q = sigma_eta*f(4)/f(3); 



mu_q = s.r - p2/f(3) - g_q - s.sigma*sigma_q;

mu_a=p1/f(3)+g_q+mu_q+s.sigma*sigma_q+s.phiL-s.phiI;


mu_eta = (psi - eta)*(mu_a-s.r-(s.sigma + sigma_q)^2) + eta*(p1*1/f(3)-s.chi+s.m*(lambda-psi));

qpp = 2*(mu_q*f(3) - f(4)*mu_eta)/sigma_eta^2; 

fp = [f(2); Jpp; f(4); qpp];
%dataset(f,fp);



dyn = [psi, sigma_eta, sigma_q, mu_eta, mu_q, 0,p2,lambda];