function simulation(etaout,fout,Dyn,s)
M=s.M;
color=s.color;


randn('state',1);

N=length(etaout);

eps=randn(M,1);
eta=ones(M,1);
q=ones(M,1);
Y=ones(M,1);
ZK=ones(M,1);
Z=ones(M,1);
prod=ones(M,1);
gk=ones(M,1);

etastar=etaout(N-1);
eta(1)=.055;%etaout(N-1);
q(1)=interp1(etaout(1:N-1),fout(1:N-1,3),eta(1));
prod(1)=((Dyn(1,1)+(Dyn(1,8)-Dyn(1,1))*s.abar)^s.alpha)*((1-Dyn(1,8))^(1-s.alpha));
gk(1)=s.g-(Dyn(1,8)-Dyn(1,1))*s.m-s.phiI*Dyn(1,1);

for m=1:M-1
    mu_eta=interp1(etaout(1:N-1),Dyn(1:N-1,4),eta(m));
    sigma_eta=interp1(etaout(1:N-1),Dyn(1:N-1,2),eta(m));
    eta(m+1)=max(min(eta(m)+mu_eta+sigma_eta*eps(m),etastar),min(etaout)+1e-3);
    q(m+1)=interp1(etaout(1:N-1),fout(1:N-1,3),eta(m+1));
    psi=interp1(etaout(1:N-1),Dyn(1:N-1,1),eta(m+1));
    lambda=interp1(etaout(1:N-1),Dyn(1:N-1,8),eta(m+1));
    gk(m+1)=s.g-(lambda-psi)*s.m-s.phiI*psi;
    ZK(m+1)=ZK(m)+ZK(m)*(gk(m+1)+s.sigma*eps(m));
    Z(m+1)=Z(m)+Z(m)*(s.g+s.sigma*eps(m));
    prod(m+1)=((psi+(lambda-psi)*s.abar)^s.alpha)*((1-lambda)^(1-s.alpha))+(psi-eta(m+1))*q(m+1);
    Y(m+1)=prod(m+1)*ZK(m+1);
end
Leverage=interp1(etaout(1:N-1),Dyn(1:N-1,1),eta)./eta-1;
psi=interp1(etaout(1:N-1),Dyn(1:N-1,1),eta);
lambda=interp1(etaout(1:N-1),Dyn(1:N-1,8),eta);
prod=((lambda).^s.alpha).*((1-lambda).^(1-s.alpha))+s.phiL*(psi-eta).*q;
% mean(gk)
% mean(prod)
Y=prod.*ZK;

t=1:M;


figure(21); hold on
plot(t,Leverage,color,'linewidth',s.width);
title('The Leverage Cycle','FontSize',s.fontsize,'FontWeight','b')
xlabel('Time','FontSize',s.fontsize,'FontWeight','b');
ylabel('Leverage','FontSize',s.fontsize,'FontWeight','b');

figure(22); hold on
plot(t,q,color,'linewidth',s.width);
% title('Asset Prices','FontSize',s.fontsize,'FontWeight','b')
xlabel('Time','FontSize',s.fontsize,'FontWeight','b');
ylabel('Asset Price q','FontSize',s.fontsize,'FontWeight','b');

figure(23); hold on
plot(t,eta,color,'linewidth',s.width);
title('Endogenous Instability','FontSize',s.fontsize,'FontWeight','b')
xlabel('Time','FontSize',s.fontsize,'FontWeight','b');
ylabel('Bank Equity Level','FontSize',s.fontsize,'FontWeight','b');


figure(24); hold on
plot(t,log(Y),color,'linewidth',s.width);
% title('Aggregate Outcomes','FontSize',s.fontsize,'FontWeight','b')
xlabel('Time','FontSize',s.fontsize,'FontWeight','b');
ylabel('Flow Utility','FontSize',s.fontsize,'FontWeight','b');

    