function [s e1 alloc]=welfarecalc(etaout,fout,Dyn,s,color)
N = length(etaout);

odefun = @(eta,j) welfarefnct(eta,j,etaout,fout,Dyn,s);
options = odeset('events','evntwelfare','NonNegative',[1 2]);



prod0=((s.abar*Dyn(1,8))^s.alpha)*(1-Dyn(1,8))^(1-s.alpha);
g0=s.g-(Dyn(1,8)-Dyn(1,1))*s.m;

% J0=[prod0/(s.r-g0); 1];
J0=[s.q_; 1];

VL = 0; VR = 1e7;
for iter = 1:30,
    add=.5*(VL+VR);
    J0(2)=add;
    J0(1)=s.q_+J0(2)*s.start;
    
    [e1, f1]=ode45(odefun,(etaout(1:N-1)),J0,options);
    
    if f1(end,2)>0
        VR=J0(2);
    else
        VL=J0(2);
    end
end

dataset(VR,J0(1))
s.VR=VR;
s.VL=VL;
qq=interp1(etaout,fout(:,3),e1(1:end-1));

figure(8)
plot(e1(1:end-1),f1(1:end-1,1),strcat(s.line,color),'linewidth',s.width); hold on
xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
ylabel('J(\eta)','fontsize',14,'Rotation',90,'FontWeight','b');
title('Value Function','FontSize',s.fontsize,'FontWeight','b')
xlim([0 1.05*max(etaout)])

% M=length(e1);
% FOC=zeros(M,1);
% for m=1:M
%     FOC(m)=PlannerFOC(e1(m),f1(m,:),etaout,fout,Dyn,s);
% end
% 
% figure(17)
% plot(e1,FOC,strcat(s.line,color),'linewidth',s.width); hold on
% xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
% ylabel('FOC','fontsize',14,'Rotation',90,'FontWeight','b');
% title('Planner FOC \psi','FontSize',s.fontsize,'FontWeight','b')
% xlim([0 1.05*max(etaout)])
% ylim([-1 .1])

% figure(9)
% plot(e1(1:end-1),f1(1:end-1,1)-qq,strcat(s.line,color),'linewidth',s.width); hold on
% xlabel('\eta','FontSize',s.fontsize,'FontWeight','b')
% ylabel('J(\eta)-q(\eta)','fontsize',14,'Rotation',90,'FontWeight','b');
% title('Value Function minus q','FontSize',s.fontsize,'FontWeight','b')
% xlim([0 1.05*max(etaout)])

if s.policy==1;
    % calculate the psi, as well as drifts and volatilities 
    fp=zeros(length(e1),2);
    for n = 1:length(e1),
        [fp(n,:)] = welfarefnct(e1(n),f1(n,:),etaout,fout,Dyn,s);
    end
    j=[f1 fp(:,2)];

    q1=interp1(etaout,fout(:,3),e1,s.interp);
    q1p=interp1(etaout,fout(:,4),e1,s.interp);
    alloc=zeros(n,2);
    for n = 1:length(e1),    
        blah=[j(n,[1 2]) q1(n) q1p(n)];
        [~, alloc(n,:)] = planneralloc(j(n,3),blah,e1(n),s);
    end

    figure(15)
    plot(e1,[smooth(alloc(:,1),21)./e1],etaout,Dyn(:,1)./etaout); hold on
    ylim([0 100])
    legend(' "optimal" Leverage','Eqm Leverage')
    
    figure(16)
    plot(e1,[smooth(alloc(:,1),21) smooth(alloc(:,2),21)],etaout,Dyn(:,[1 8])); hold on
%     ylim([0 100])
    legend(' "optimal" alloc','Eqm alloc')
end
