% This script defines the parameters used in the model
% when varying phiL

%% Economic Parameters
s.r     = 0.04;
s.g     = .01;
s.phiL  = .01;
s.sigma = 0.015;
s.a     = 1;
s.a_    = 0.9;
s.g_    = 0.01;

s.issuance  = 3; % 1 + gamma
s.thetastar = 1;
s.qp_       = 1e-5;

vec_issuance = [12, 9, 6, 3];

%% Numerical Settings
s.start=1e-5; s.gstart=1.05e-4;
s.end = 1;
s.interp='linear'; s.line='-'; s.width=3; s.quick=1;
s.psi_tol = 1e-1; % additional padding for bisection search for psi
s.bound_tol = 1e-15; % padding when leverage constraints are imposed near zero
s.N_bisection_iter = 30; % number of iterations during bisection search for psi
s.display_time = 1; % Time or not?

%% Graphics
s.color = 'blue';
s.fontsize = 18;
set(groot, 'DefaultLineLinewidth', 3);
s.gpath = '../figures/';
set(groot, 'defaulttextinterpreter', 'latex');
set(groot, 'defaultAxesTickLabelInterpreter', 'latex');
