% This script defines the parameters used in the model
% for the results w/ fire sales due to a_ and g_.
% phiL is also lowered or otherwise banks never sell the tree.

%% Economic Parameters
s.r     = 0.04;
s.g     = .02;
s.phiL  = .005;
s.sigma = 0.015;
s.a     = 1;
s.a_    = 1;
s.g_    = 0.02;
vec_phiL = [.002, .004, .006];

s.issuance  = 3; % 1 + gamma
s.thetastar = 1;
s.qp_       = 1e-5;

% s.K = 0;

%% Numerical Settings
s.start=1e-5; s.gstart=1.05e-4;
s.end = 1;
s.interp='linear'; s.line='-'; s.width=3; s.quick=1;
s.psi_tol = 1e-1; % additional padding for bisection search for psi
s.bound_tol = 1e-15; % padding when leverage constraints are imposed near zero
s.N_bisection_iter = 30; % number of iterations during bisection search for psi
s.display_time = 1; % Time or not?

%% Graphical Settings
s.color = 'blue';
s.fontsize = 18;
set(groot, 'DefaultLineLinewidth', 3);
s.gpath = '../figures/';
set(groot, 'defaulttextinterpreter', 'latex');
set(groot, 'defaultAxesTickLabelInterpreter', 'latex');
